package com.tencent.liteav.demo.superplayer.database.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import com.tencent.liteav.demo.superplayer.database.entity.History
import kotlinx.coroutines.flow.Flow

@Dao
public interface HistoryDao {
    @Query("SELECT * FROM history WHERE course_id = :courseId")
    fun getById(courseId: String): Flow<List<History>>

    @Insert
    fun insertHistory(history: History)

    @Insert
    fun insertHistories(vararg histories: History)
}